Issue 58320 - page orientation (landscape/portrait) settings inconsistent with inserted envelope format [C6/5 envelope]
Summary: page orientation (landscape/portrait) settings inconsistent with inserted env...
Status: CLOSED DUPLICATE of issue 29924
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.0
Hardware: PC Linux, all
: P4 Trivial (vote)
Target Milestone: ---
Assignee: h.ilter
QA Contact: issues@sw
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-11-22 19:40 UTC by bert.meersma
Modified: 2011-01-13 14:41 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Test document with envelope (7.17 KB, application/vnd.sun.xml.writer)
2006-01-13 18:32 UTC, bert.meersma
no flags Details
printer ps file (6.22 KB, application/postscript)
2006-01-13 18:33 UTC, bert.meersma
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bert.meersma 2005-11-22 19:40:41 UTC
I inserted an C65 envelope in a text document. When I printed this envelope the
text was oriented in "Landscape" while the envelope was inserted into the
printer in "Portrait" orientation. Also, when I tried again and set the printer
settings to Landscape, this had no effect. Then I changed the page style of the
envelope. I set the orientation to Landscape and swapped the width and height
dimensions. Now when I printed the envelope, everything was fine.
I guess the page style for this envelope should have these settings by default,
since the envelope is also displayed in Landscape.

My OS: Suse Linux 9.3
Printer: HP Deskjet 959c
Printed using CUPS.
Comment 1 lars 2005-11-23 22:22:20 UTC
> while the envelope was inserted into the printer in "Portrait" orientation

why didn't you insert the envelope in landscape orientation?

could you give a detailed step-by-step description on how to show this 
problem. As printer related problems are usually quite delicate, be as precise 
as possible. thanks!
Comment 2 h.ilter 2005-11-25 16:26:03 UTC
This kind of HP Series takes envelopes in portrait orientation.
I think this issue is double to another one. I'll take a look.
Comment 3 bert.meersma 2005-11-25 19:30:02 UTC
As hi already pointed out, it's quite difficult to insert an envelopen in
landscape orientation with this type of printer.
To make this problem show, just choose Insert --> envelope... Then choose the
C65 envelope and type the adresses if you like. Then hit the Insert button and
the envelope is insterted in your document. And then my point: On the screen the
envelope is in Landscape orientation. Now choose Format --> Page and click the
page tab. There you will see that the orientation is set to Portrait. This is
incorrect, since it is in landscape on your screen. So I think this the default
settings for this page style should be changed. The orientation should be set to
Landscape and the dimensions (width and height) should be swapped. This way the
style matches the screen and the printing will also be correct.
Comment 4 bert.meersma 2005-12-20 18:17:52 UTC
I see there's no target set for this issue. Does this mean it isn't considered
to be of any importance?
Comment 5 flibby05 2006-01-13 09:45:30 UTC
hi broxtor,

can you attach sample files? thanks, Max
-odt created by envelope wizard
-ps printer output file
Comment 6 bert.meersma 2006-01-13 18:32:28 UTC
Created attachment 33188 [details]
Test document with envelope
Comment 7 bert.meersma 2006-01-13 18:33:27 UTC
Created attachment 33189 [details]
printer ps file
Comment 8 ace_dent 2008-05-15 12:41:42 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 9 lars 2008-05-15 15:29:22 UTC
I handle this issue as I originally triaged it and set the needmoreinfo keyword.

I'm sorry for not having come back in time. I seem to have overlooked it.


preface:
I can follow your instructions and followed them, the envelope size in question 
being C6/5. I'm using OOo 3.0 Beta m2.

1.
The page orientation is marked as "User-defined" and is indeed set to Portrait 
while the reading orientation of C6/5 seems to be landscape.

2.
The width and height values associated with the Portrait orientation in the 
page settings equals the reading orientation however.

3.
If I print now, the print output is as expected if the width of the page is the 
width of the printer feeder.

4.
If I mark the page orientation as "C6/5" via the drop-down box, the page 
orientation remains Portrait but the height and width swap in the dialogue. If 
I leave the dialogue with OK, the display changes accordingly.


conclusion:

A.
There is an inconsistency between format of inserted envelope being C6/5 and 
format of page being marked as User.

B.
The page orientation of the page settings being Portrait doesn't match the 
reading orientation being Landscape by name. The width and height values are 
correct though, meaning they are as displayed and as printed.

C.
It has to be checked what the definition of orientation for enevelope is and A. 
should be made more consistent.

(having worked in a small printing studio I can tell you that orientation 
definition problems even affect the interaction of xerox on-printer settings, 
driver settings and image application settings which is sth. you get told how 
it is to be once and don't fuss with much and if you forget after some time you 
are in for some trouble sorting all settings out correctly again. I never 
looked up the proper definitions of orientation actually).

Regards, Lars
Comment 10 lars 2008-05-15 15:35:33 UTC
changing sub component and reassigning to appropriate owner (I hope).
Comment 11 michael.ruess 2008-05-16 10:13:47 UTC
lars, please do not change owners of issues.
Comment 12 h.ilter 2011-01-13 14:41:18 UTC
This one should be caused by issue 29924

*** This issue has been marked as a duplicate of 29924 ***
Comment 13 h.ilter 2011-01-13 14:41:48 UTC
Closing.